<ion-header>
  <ion-toolbar color="light">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Checkout</ion-title>
  </ion-toolbar>

  <ion-toolbar mode="ios" color="light">        
    <ion-row>
      <ion-col size="4">
        <ion-button size="small" color="medium" shape="round" mode="ios" (click)="back()" [hidden]="process == 1">         
          <ion-icon name="arrow-back" slot="start"></ion-icon>
          Back
        </ion-button>
      </ion-col>
      <ion-col size="4">
        <div class="pager">
          <div [class.current]="process == 1"></div>
          <div [class.current]="process == 2"></div>
          <div [class.submit]="process == 3"></div>
        </div>
      </ion-col>
      <ion-col size="4" class="ion-text-right">
        <ion-button size="small" color="secondary" shape="round" (click)="next()" *ngIf="process < 3" [disabled]="disableNextButton">
          Next
          <ion-icon name="arrow-forward" slot="end"></ion-icon>
        </ion-button>
        <ion-button size="small" shape="round" mode="ios" color="success" (click)="submit()" *ngIf="process == 3">Submit</ion-button>
      </ion-col>
    </ion-row>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">  
  <div class="delivery" *ngIf="process == 1">
    <p class="card-lbl ion-text-center">Delivery option</p>
    <ion-radio-group [(ngModel)]="deliveryOption" (ionChange)="deliverOptionChanged($event)">
      <ion-item color="light">
        <ion-label>
          <h2>Pickup</h2>
          <p *ngFor="let info of pickupInfo">{{info.key}}: {{info.value}}</p>
        </ion-label>
        <ion-radio value="1" slot="start"></ion-radio>
      </ion-item>
      <ion-item color="light" lines="none">
        <ion-label>
          <h2>Deliver</h2>              
        </ion-label>
        <ion-radio value="2" slot="start"></ion-radio>
      </ion-item>
    </ion-radio-group>

    <form [formGroup]="deliveryInfoData">
      <div class="delivery-info" *ngIf="deliveryOption == 2">
        <p class="card-lbl ion-text-center">Delivery info</p>
        <ion-item>
          <ion-label color="medium" position="stacked">
            <h2>Name</h2>
          </ion-label>
          <ion-input type="text" formControlName="name"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label color="medium" position="stacked">
            <h2>Mobile No</h2>
          </ion-label>
          <ion-input type="number"  formControlName="mobileNo"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label color="medium" position="stacked">
            <h2>Address</h2>
          </ion-label>
          <ion-input type="text" formControlName="address"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label color="medium" position="stacked">
            <h2>Waze</h2>
          </ion-label>
          <ion-input type="text" formControlName="waze"></ion-input>
        </ion-item>
      </div>
    </form>
  </div>

  <div class="payment" *ngIf="process == 2">
    <p class="card-lbl ion-text-center">mode of payment</p>
    <ion-radio-group [(ngModel)]="paymentMethod" (ionChange)="paymentMethodChanged($event)">
    
      <ion-item color="light">
        <ion-label>
          <h2>CASH ON DELIVERY</h2>
        </ion-label>
        <ion-radio value="1" slot="start" color="secondary"></ion-radio>
      </ion-item>
  
      <ion-item color="light">
        <ion-label>
          <h2>G-CASH</h2>
          <!-- <p>Send your payment to <br>G-CASH #: 09272645030</p> -->
        </ion-label>
        <ion-radio value="2" slot="start"></ion-radio>
      </ion-item>
      <ion-item color="light"lines="none">
        <ion-label>
          <h2>BANK TRANSFER</h2>
          <p>BDO, BPI, Metrobank</p>
        </ion-label>
        <ion-radio value="3" slot="start"></ion-radio>
      </ion-item>
    </ion-radio-group>
  </div>

  <div class="summary" *ngIf="process == 3">
    
    <div class="order-summary">
      <p class="card-lbl">order summary</p>
      <div class="info">
        <p class="lbl">sub total</p>
        <div>{{subtotal | currency: ' '}}</div>
        
        <p class="lbl">Delivery Fee</p>
        <div>{{deliveryFee | currency: ' '}}</div>

        <p class="lbl">total</p>
        <div class="total-amount">{{total | currency: ' '}}</div>
      </div>
    </div>
  
    <div class="pickup" *ngIf="deliveryOption == 1">
      <p class="card-lbl">pickup location</p>
      <div class="info">
        <div *ngFor="let info of pickupInfo">
          <div class="lbl">{{info.key}}</div>
          <div>{{info.value}}</div>
        </div>
      </div>
    </div>

    <div class="deliver" *ngIf="deliveryOption == 2">
      <p class="card-lbl">DELIVER TO</p>
      <div class="info">
        <p class="lbl">name</p>
        <div>{{deliveryInfo?.name}}</div>
        <p class="lbl">mobile no</p>
        <div>{{deliveryInfo?.mobileNo}}</div>
        <p class="lbl">address</p>
        <div>{{deliveryInfo?.address}}</div>
        <p class="lbl">waze</p>
        <div>{{deliveryInfo?.waze}}</div>
      </div>
    </div>

    <div class="payment-summary">
      <p class="card-lbl">PAYMENT VIA</p>
      <div class="info">

        <div class="cod" *ngIf="paymentMethod == 1">
          <p class="lbl">TYPE</p>
          <div>{{paymentMethodDisplay}}</div>
        </div>

        <div class="g-cash" *ngIf="paymentMethod == 2">
          <p class="lbl">TYPE</p>
          <div>{{paymentMethodDisplay}}</div>
          <p class="lbl">account no</p>
          <div>{{gcash.account}}</div>
        </div>

        <div class="bank-transfer"  *ngIf="paymentMethod == 3">
          <p class="lbl">TYPE</p>
          <div>{{paymentMethodDisplay}}</div>
          <p class="lbl">BANK</p>
          <div>BDO</div>
          <p class="lbl">account no</p>
          <div>00699091338</div>
        </div>
      </div>
    </div>
  </div>

</ion-content>